## nant 0.84+0.85

=== Makefile ===
#NAnt make file for *nix
MONO=mono
MCS=mcs
RESGEN=resgen

ifndef DIRSEP
ifeq ($(OS),Windows_NT)
DIRSEP = \\
else
DIRSEP = /
endif
endif

ifndef PLATFORM_REFERENCES
ifeq ($(OS),Windows_NT)
PLATFORM_REFERENCES = \
	bootstrap/NAnt.Win32Tasks.dll
endif
endif

ifeq ($(MONO),mono)
FRAMEWORK_DIR = mono
DEFINE = MONO
else
FRAMEWORK_DIR = net
DEFINE= NET
endif



NANT=$(MONO) bootstrap/NAnt.exe


all: build-bootstrap build-nant

build-nant: 
	$(NANT) -f:NAnt.build build

clean:
	rm -fR build bootstrap

install: build-bootstrap
	$(NANT) -f:NAnt.build install -D:install.prefix="$(prefix)"

	
bootstrap/NAnt.exe:
	$(MCS) -target:exe -define:${DEFINE} -out:bootstrap${DIRSEP}NAnt.exe -r:bootstrap${DIRSEP}log4net.dll \
		-recurse:src${DIRSEP}NAnt.Console${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs
	

build-bootstrap: setup bootstrap/NAnt.exe bootstrap/NAnt.Core.dll bootstrap/NAnt.DotNetTasks.dll bootstrap/NAnt.CompressionTasks.dll ${PLATFORM_REFERENCES}
	

setup:
	mkdir -p bootstrap
	cp -R lib/ bootstrap/lib
	# Mono loads log4net before privatebinpath is set-up, so we need this in the same directory
	# as NAnt.exe
	cp lib/log4net.dll bootstrap
	cp src/NAnt.Console/App.config bootstrap/NAnt.exe.config

bootstrap/NAnt.Core.dll:
	$(RESGEN)  src/NAnt.Core/Resources/Strings.resx bootstrap/Strings.resources
	$(MCS) -target:library -warn:0 -define:${DEFINE} -out:bootstrap/NAnt.Core.dll -debug -resource:bootstrap/Strings.resources \
	    -r:lib${DIRSEP}log4net.dll \
		-r:System.Web.dll -recurse:src${DIRSEP}NAnt.Core${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.DotNetTasks.dll:
	$(RESGEN)  src/NAnt.DotNet/Resources/Strings.resx bootstrap/DotNet.Strings.resources
	$(MCS) -target:library -warn:0 -define:MONO -out:bootstrap/NAnt.DotNetTasks.dll -r:./bootstrap/NAnt.Core.dll \
		-r:bootstrap/lib/${FRAMEWORK_DIR}/1.0/NDoc.Core.dll -recurse:src${DIRSEP}NAnt.DotNet${DIRSEP}*.cs \
		-resource:bootstrap/DotNet.Strings.resources,Strings.resources src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.CompressionTasks.dll:
	$(MCS) -target:library -warn:0 -define:MONO -out:bootstrap/NAnt.CompressionTasks.dll -r:./bootstrap/NAnt.Core.dll \
		-r:bootstrap/lib/ICSharpCode.SharpZipLib.dll -recurse:src${DIRSEP}NAnt.Compression${DIRSEP}*.cs \
		src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.Win32Tasks.dll:
	$(MCS) -target:library -warn:0 -define:${DEFINE} -out:bootstrap/NAnt.Win32Tasks.dll \
		-r:./bootstrap/NAnt.Core.dll -r:./bootstrap/NAnt.DotNetTasks.dll -r:System.ServiceProcess.dll \
		-r:Microsoft.JScript.dll -recurse:src${DIRSEP}NAnt.Win32${DIRSEP}*.cs \
		src${DIRSEP}CommonAssemblyInfo.cs

## nant 0.85

=== Makefile ===
#NAnt make file for *nix
MONO=mono
MCS=mcs
RESGEN=resgen

ifndef DIRSEP
ifeq ($(OS),Windows_NT)
DIRSEP = \\
else
DIRSEP = /
endif
endif

ifndef PLATFORM_REFERENCES
ifeq ($(OS),Windows_NT)
PLATFORM_REFERENCES = \
	bootstrap/NAnt.Win32Tasks.dll
endif
endif

ifeq ($(MONO),mono)
FRAMEWORK_DIR = mono
DEFINE = MONO
else
FRAMEWORK_DIR = net
DEFINE= NET
endif



NANT=$(MONO) bootstrap/NAnt.exe


all: bootstrap build-nant

build-nant: 
	$(NANT) -f:NAnt.build build

clean:
	rm -fR build bootstrap

install: bootstrap
	$(NANT) -f:NAnt.build install -D:install.prefix="$(prefix)"

run-test: bootstrap
	$(NANT) -f:NAnt.build test
	
bootstrap/NAnt.exe:
	$(MCS) -target:exe -define:${DEFINE} -out:bootstrap${DIRSEP}NAnt.exe -r:bootstrap${DIRSEP}log4net.dll \
		-recurse:src${DIRSEP}NAnt.Console${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs
	

bootstrap: setup bootstrap/NAnt.exe bootstrap/NAnt.Core.dll bootstrap/NAnt.DotNetTasks.dll bootstrap/NAnt.CompressionTasks.dll ${PLATFORM_REFERENCES}
	

setup:
	mkdir -p bootstrap
	cp -R lib/ bootstrap/lib
	# Mono loads log4net before privatebinpath is set-up, so we need this in the same directory
	# as NAnt.exe
	cp lib/log4net.dll bootstrap
	cp src/NAnt.Console/App.config bootstrap/NAnt.exe.config

bootstrap/NAnt.Core.dll:
	$(RESGEN)  src/NAnt.Core/Resources/Strings.resx bootstrap/NAnt.Core.Resources.Strings.resources
	$(MCS) -target:library -warn:0 -define:${DEFINE} -out:bootstrap/NAnt.Core.dll -debug \
		-resource:bootstrap/NAnt.Core.Resources.Strings.resources -r:lib${DIRSEP}log4net.dll \
		-r:System.Web.dll -recurse:src${DIRSEP}NAnt.Core${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.DotNetTasks.dll:
	$(RESGEN)  src/NAnt.DotNet/Resources/Strings.resx bootstrap/NAnt.DotNet.Resources.Strings.resources
	$(MCS) -target:library -warn:0 -define:MONO -out:bootstrap/NAnt.DotNetTasks.dll \
		-r:./bootstrap/NAnt.Core.dll -r:bootstrap/lib/${FRAMEWORK_DIR}/1.0/NDoc.Core.dll \
		-recurse:src${DIRSEP}NAnt.DotNet${DIRSEP}*.cs -resource:bootstrap/NAnt.DotNet.Resources.Strings.resources \
		src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.CompressionTasks.dll:
	$(MCS) -target:library -warn:0 -define:MONO -out:bootstrap/NAnt.CompressionTasks.dll \
		-r:./bootstrap/NAnt.Core.dll -r:bootstrap/lib/ICSharpCode.SharpZipLib.dll \
		-recurse:src${DIRSEP}NAnt.Compression${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.Win32Tasks.dll:
	$(MCS) -target:library -warn:0 -define:${DEFINE} -out:bootstrap/NAnt.Win32Tasks.dll \
		-r:./bootstrap/NAnt.Core.dll -r:./bootstrap/NAnt.DotNetTasks.dll -r:System.ServiceProcess.dll \
		-r:Microsoft.JScript.dll -recurse:src${DIRSEP}NAnt.Win32${DIRSEP}*.cs \
		src${DIRSEP}CommonAssemblyInfo.cs

## nant 0.91~alpha2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#NAnt make file for *nix
+#NAnt make makefile for *nix
 MONO=mono
 MCS=mcs
 RESGEN=resgen
@@ -26,7 +26,9 @@
 DEFINE= NET
 endif
 
-
+ifdef TARGET
+TARGET_FRAMEWORK = -t:$(TARGET)
+endif
 
 NANT=$(MONO) bootstrap/NAnt.exe
 
@@ -34,16 +36,16 @@
 all: bootstrap build-nant
 
 build-nant: 
-	$(NANT) -f:NAnt.build build
+	$(NANT) $(TARGET_FRAMEWORK) -f:NAnt.build build
 
 clean:
 	rm -fR build bootstrap
 
 install: bootstrap
-	$(NANT) -f:NAnt.build install -D:install.prefix="$(prefix)"
+	$(NANT) $(TARGET_FRAMEWORK) -f:NAnt.build install -D:prefix="$(prefix)" -D:destdir="$(destdir)" -D:doc.prefix="$(docdir)"
 
 run-test: bootstrap
-	$(NANT) -f:NAnt.build test
+	$(NANT) $(TARGET_FRAMEWORK) -f:NAnt.build test
 	
 bootstrap/NAnt.exe:
 	$(MCS) -target:exe -define:${DEFINE} -out:bootstrap${DIRSEP}NAnt.exe -r:bootstrap${DIRSEP}log4net.dll \
@@ -58,25 +60,25 @@
 	cp -R lib/ bootstrap/lib
 	# Mono loads log4net before privatebinpath is set-up, so we need this in the same directory
 	# as NAnt.exe
-	cp lib/log4net.dll bootstrap
+	cp lib/common/neutral/log4net.dll bootstrap
 	cp src/NAnt.Console/App.config bootstrap/NAnt.exe.config
 
 bootstrap/NAnt.Core.dll:
 	$(RESGEN)  src/NAnt.Core/Resources/Strings.resx bootstrap/NAnt.Core.Resources.Strings.resources
 	$(MCS) -target:library -warn:0 -define:${DEFINE} -out:bootstrap/NAnt.Core.dll -debug \
-		-resource:bootstrap/NAnt.Core.Resources.Strings.resources -r:lib${DIRSEP}log4net.dll \
+		-resource:bootstrap/NAnt.Core.Resources.Strings.resources -r:lib${DIRSEP}common${DIRSEP}neutral${DIRSEP}log4net.dll \
 		-r:System.Web.dll -recurse:src${DIRSEP}NAnt.Core${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs
 
 bootstrap/NAnt.DotNetTasks.dll:
 	$(RESGEN)  src/NAnt.DotNet/Resources/Strings.resx bootstrap/NAnt.DotNet.Resources.Strings.resources
 	$(MCS) -target:library -warn:0 -define:MONO -out:bootstrap/NAnt.DotNetTasks.dll \
-		-r:./bootstrap/NAnt.Core.dll -r:bootstrap/lib/${FRAMEWORK_DIR}/1.0/NDoc.Core.dll \
+		-r:./bootstrap/NAnt.Core.dll -r:bootstrap/lib/common/neutral/NDoc.Core.dll \
 		-recurse:src${DIRSEP}NAnt.DotNet${DIRSEP}*.cs -resource:bootstrap/NAnt.DotNet.Resources.Strings.resources \
 		src${DIRSEP}CommonAssemblyInfo.cs
 
 bootstrap/NAnt.CompressionTasks.dll:
 	$(MCS) -target:library -warn:0 -define:MONO -out:bootstrap/NAnt.CompressionTasks.dll \
-		-r:./bootstrap/NAnt.Core.dll -r:bootstrap/lib/ICSharpCode.SharpZipLib.dll \
+		-r:./bootstrap/NAnt.Core.dll -r:bootstrap/lib/common/neutral/ICSharpCode.SharpZipLib.dll \
 		-recurse:src${DIRSEP}NAnt.Compression${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs
 
 bootstrap/NAnt.Win32Tasks.dll:

=== debian/changelog ===
nant (0.91~alpha2+dfsg-3) experimental; urgency=low

  * [1048e01] Build against Mono 2.10.
    This causes nant to use the 4.0 profile by default and therefore to be
    used to compile 4.0 packages hopefully without further changes.

 -- Iain Lane <laney@debian.org>  Fri, 29 Jul 2011 21:42:56 +0100

nant (0.91~alpha2+dfsg-2) experimental; urgency=low

  * [d130072] Update patches to build against NUnit 2.5, not bundled 2.2.
  * [06d961e] Mandate NUnit 2.5 in the build-dependencies

 -- Jo Shields <directhex@apebox.org>  Mon, 04 Jul 2011 17:16:33 +0100

nant (0.91~alpha2+dfsg-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Remove myself from uploaders.

  [ Jo Shields ]
  * [ff1d1e1] Imported Upstream version 0.91~alpha2+dfsg
  * [9b374bc] Bump Debian Standards Version to 3.9.2.
  * [8d53875] Refresh package description slightly.
  * [5087eab] Refresh Vcs-* fields.
  * [31d87a4] Migrate from dpatch to DebSrc 3.0 (quilt).
  * [d076fc0] Refresh debian/rules to use dh7-style rules.
  * [634354c] Reverse order of imported patches, as some depend on others.
  * [e724652] Refresh debian/patches/000-fix_build_system.patch and DESTDIR.
  * [f76581e] Refresh debian/patches/001-nant-task-cs-InitializeElement.patch.
  * [72d654f] Refresh debian/patches/002-nant-load-partial-name.patch.
  * [f513c5b] Refresh debian/patches/003-nant-use-system-dlls.patch.
  * [b4fc082] Refresh debian/patches/004-nant-nunit_2.4.patch.
  * [1424d3d] Remove 005-nant-ExternalProgramBase-race.patch - committed 
    upstream.
  * [ac1e636] Refresh debian/patches/006-nant-dont-build-ndoc-support.patch.
  * [d13dc8e] Backport support for 4.0 with Mono from upstream.
  * [d0cdf99] Downgrade #ziplib API, as bundle version is newer than Mono 
    version.
  * [327fe55] Tweak destdir for DH7 semantics.

 -- Jo Shields <directhex@apebox.org>  Fri, 01 Jul 2011 00:07:23 +0100

nant (0.85.dfsg1-9) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    + Updated my e-mail address

  [ Jo Shields ]
  * debian/control:
    + No-change bump to Standards 3.8.3
    + Build-depend on -cil-dev packages
  * debian/rules,
    debian/control:
    + Use mono-csc from mono-devel 2.4.3 as compiler command (Closes: #562366)

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jan 2010 15:10:39 +0000

nant (0.85.dfsg1-8) unstable; urgency=low

  * debian/patches/006-nant-dont-build-ndoc-support.dpatch,
    debian/control:
    + Remove support for ndoc task - we don't use it, and it pulls
      in undesirable dependencies. This also breaks a nasty circular
      build-dep on libndoc1.3-cil, which is built by nant

 -- Jo Shields <directhex@apebox.org>  Mon, 15 Jun 2009 20:12:47 +0100

nant (0.85.dfsg1-7) unstable; urgency=low

  * Upload to unstable.

 -- Mirco Bauer <meebey@debian.org>  Thu, 26 Feb 2009 00:23:47 +0100

nant (0.85.dfsg1-6) experimental; urgency=low

  * debian/control:
    + removed 1.0 Build-Dependencies
    + using mono-devel instead of mono-gmcs in runtime Depends
    + debhelper dependency bumped to >= 7
    + added ${misc:Depends} to nant
  * debian/patches/:
    + 000-fix_build_system.dpatch added
  * debian/rules:
    + Rewritten and switched to dh7-style
  * debian/compat bumped to 7
  * debian/watch updated to version 3

 -- David Paleino <d.paleino@gmail.com>  Wed, 03 Dec 2008 17:46:17 +0100

nant (0.85.dfsg1-5) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    + Removed Dave Beckett <dajobe@debian.org> from Uploaders.

  [ Mirco Bauer ]
  * debian/control:
    + Enhanced package description.
    + Added Vcs-Browser field.
    + Bumped cli-common-dev build-dep to >= 0.5.4 as we are using
      dh_clistrip and dh_clifixperms from it.
  * debian/rules:
    + Removed -m paramater to dh_clideps call, as it doesn't know such
      parameter. 
    + Added dh_clistrip and dh_clifixperms calls.
    + Removed find call to fix file permissions, as dh_clifixperms takes now
      care of this.
    + Removed dh_shlibdeps call as this package doesn't contain native
      binaries or libraries.
    + Delete examples/StyleTask/SimpleExtensionObject/SimpleExtension.dll
      before the build to force nant to rebuild it (as the file is shipped in
      the tarball).
  * debian/patches/005-nant-ExternalProgramBase-race.dpatch:
    + New patch to prevent Mono detection failure due to a race on SMP
      machines. Based on upstream fix for bug 1733671 (Closes: #483073)
      (thanks goes to Y Giridhar Appaji Nag <appaji@debian.org> for
       investigation and providing the dpatch)

 -- Mirco Bauer <meebey@debian.org>  Thu, 16 Oct 2008 22:50:40 +0200

nant (0.85.dfsg1-4) unstable; urgency=low

  * Use right NDoc directory. (Closes: #492300)

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 25 Jul 2008 04:29:19 +0200

nant (0.85.dfsg1-3) unstable; urgency=low

  * Fix build dependency on renamed libndoc1.3-cil. (Closes: #490322)

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 22 Jul 2008 23:34:19 +0200

nant (0.85.dfsg1-2) unstable; urgency=low

  * Build against version 2.4 of nunit.
  * Bump standards version to 3.8.0.
  * Cope with dfsg mangling in watch file.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 14 Jun 2008 16:59:38 +0200

nant (0.85.dfsg1-1) unstable; urgency=low

  * Remove binaries without source. (Closes: #374634)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 26 May 2008 23:12:50 +0200

nant (0.85-3) unstable; urgency=low

  * Changed maintainer to Debian CLI Applications Team. (Closes: #477064)
  * Add myself as uploader.
  * Use newer nunit (libnunit2.2.6-cil)
  * Add patch to work around obsolete
    System.Reflection.Assembly.LoadWithPartialName(). (Closes: #475213)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 26 May 2008 21:15:12 +0200

nant (0.85-2) unstable; urgency=low

  * Depend on mono-gmcs (Closes: #408395)
  * Added patch 001-nant-task-cs-InitializeElement.dpatch
    to get around Mono compiler turning a former warning into an error.
    Again. (Closes: #422838)



=== debian/control ===
Source: nant
Section: devel
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: mono-devel (>= 2.10.1),
 pkg-config,
 cli-common-dev (>= 0.5.7),
 libnunit-cil-dev (>= 2.5),
 liblog4net-cil-dev
Standards-Version: 3.9.2
Homepage: http://nant.sourceforge.net/
Vcs-Git:git://anonscm.debian.org/pkg-cli-apps/packages/nant.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/nant.git;a=summary
DM-Upload-Allowed: yes

Package: nant
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends},
 pkg-config,
 mono-devel (>= 2.0.1)
Description: build tool similar to Ant
 NAnt is different than Make.  Instead of a model where it is extended with
 shell-based commands, NAnt is extended using task classes.  Instead of
 writing shell commands, the configuration files are XML-based, calling
 out a target tree where various tasks get executed.  Each task is run
 by an object that implements a particular Task interface.
 .
 NAnt supports different target frameworks:
  - Microsoft .NET Framework version 1.0 through 4.0, plus Silverlight
  - Mono 1.0 through 4.0

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/cli-common/cli.make

MAKE_FLAGS = MONO=/usr/bin/cli MCS=/usr/bin/mono-csc

override_dh_auto_build:
	$(MAKE) $(MAKE_FLAGS)

override_dh_auto_install:
	$(MAKE) $(MAKE_FLAGS) prefix=/usr destdir=$(CURDIR)/debian/nant install
	rmdir --ignore-fail-on-non-empty --parents debian/nant

%:
	dh $@

## nant 0.92~rc1+dfsg

=== Makefile ===
# NAnt make makefile for *nix
MONO=mono
MCS=gmcs
RESGEN=resgen
TARGET=mono-2.0

# Contains a list of acceptable targets used to build NAnt
VALID_TARGETS := mono-2.0 mono-3.5 mono-4.0 net-2.0 net-3.5 net-4.0

ifndef DIRSEP
ifeq ($(OS),Windows_NT)
DIRSEP = \\
else
DIRSEP = /
endif
endif

ifndef PLATFORM_REFERENCES
ifeq ($(OS),Windows_NT)
PLATFORM_REFERENCES = \
	bootstrap/NAnt.Win32Tasks.dll
endif
endif

ifeq ($(MONO),mono)
FRAMEWORK_DIR = mono
DEFINE = MONO
else
FRAMEWORK_DIR = net
DEFINE = NET
endif

# Validates TARGET var. If the value of TARGET exists
# in VALID_TARGETS array, SELECTED_TARGET will contain
# the value of TARGET; otherwise SELECTED_TARGET var
# will be empty
SELECTED_TARGET := $(filter $(TARGET),$(VALID_TARGETS))

# If TARGET var is valid, load the DEFINE var
# based on value of TARGET
ifneq ($(SELECTED_TARGET),)

# Loads (net,mono)-2.0 DEFINE vars
ifeq ($(findstring 2.0,$(SELECTED_TARGET)),2.0)
DEFINE := $(DEFINE),NET_1_0,NET_1_1,NET_2_0,ONLY_2_0
endif

# Loads (net,mono)-3.5 DEFINE vars
ifeq ($(findstring 3.5,$(SELECTED_TARGET)),3.5)
DEFINE := $(DEFINE),NET_1_0,NET_1_1,NET_2_0,NET_3_5,ONLY_3_5
endif

# Loads (net,mono)-4.0 DEFINE vars
ifeq ($(findstring 4.0,$(SELECTED_TARGET)),4.0)
DEFINE := $(DEFINE),NET_1_0,NET_1_1,NET_2_0,NET_3_5,NET_4_0,ONLY_4_0
endif

# If TARGET var is invalid, throw an error
else
$(error Specified target "$(TARGET)" is not valid)
endif

# Make sure that -debug+ is specified in NAnt command if DEBUG is defined
ifdef DEBUG
NANT_DEBUG := -debug+
endif

# Assign remaining vars
TARGET_FRAMEWORK = -t:$(TARGET)
NANT = $(MONO) bootstrap/NAnt.exe $(NANT_DEBUG)


all: bootstrap build-nant

build-nant: 
	$(NANT) $(TARGET_FRAMEWORK) -f:NAnt.build build

clean:
	rm -fR build bootstrap

install: bootstrap
	$(NANT) $(TARGET_FRAMEWORK) -f:NAnt.build install -D:prefix="$(prefix)" -D:destdir="$(DESTDIR)" -D:doc.prefix="$(docdir)"

run-test: bootstrap
	$(NANT) $(TARGET_FRAMEWORK) -f:NAnt.build test
	
bootstrap/NAnt.exe:
	$(MCS) $(DEBUG) -target:exe -define:$(DEFINE) -out:bootstrap${DIRSEP}NAnt.exe -r:bootstrap${DIRSEP}log4net.dll \
		-r:System.Configuration.dll -recurse:src${DIRSEP}NAnt.Console${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs


bootstrap: setup bootstrap/NAnt.exe bootstrap/NAnt.Core.dll bootstrap/NAnt.DotNetTasks.dll bootstrap/NAnt.CompressionTasks.dll ${PLATFORM_REFERENCES}
	

setup:
	mkdir -p bootstrap
	cp -R lib/ bootstrap/lib
	# Mono loads log4net before privatebinpath is set-up, so we need this in the same directory
	# as NAnt.exe
	cp lib/common/neutral/log4net.dll bootstrap
	cp src/NAnt.Console/App.config bootstrap/NAnt.exe.config

bootstrap/NAnt.Core.dll:
	$(RESGEN)  src/NAnt.Core/Resources/Strings.resx bootstrap/NAnt.Core.Resources.Strings.resources
	$(MCS) $(DEBUG) -target:library -warn:0 -define:$(DEFINE) -out:bootstrap/NAnt.Core.dll -debug \
		-resource:bootstrap/NAnt.Core.Resources.Strings.resources -r:lib${DIRSEP}common${DIRSEP}neutral${DIRSEP}log4net.dll \
		-r:System.Web.dll -recurse:src${DIRSEP}NAnt.Core${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.DotNetTasks.dll:
	$(RESGEN)  src/NAnt.DotNet/Resources/Strings.resx bootstrap/NAnt.DotNet.Resources.Strings.resources
	$(MCS) $(DEBUG) -target:library -warn:0 -define:$(DEFINE) -out:bootstrap/NAnt.DotNetTasks.dll \
		-r:./bootstrap/NAnt.Core.dll -r:bootstrap/lib/common/neutral/NDoc.Core.dll \
		-recurse:src${DIRSEP}NAnt.DotNet${DIRSEP}*.cs -resource:bootstrap/NAnt.DotNet.Resources.Strings.resources \
		src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.CompressionTasks.dll:
	$(MCS) $(DEBUG) -target:library -warn:0 -define:$(DEFINE) -out:bootstrap/NAnt.CompressionTasks.dll \
		-r:./bootstrap/NAnt.Core.dll -r:bootstrap/lib/common/neutral/ICSharpCode.SharpZipLib.dll \
		-recurse:src${DIRSEP}NAnt.Compression${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs

bootstrap/NAnt.Win32Tasks.dll:
	$(MCS) $(DEBUG) -target:library -warn:0 -define:$(DEFINE) -out:bootstrap/NAnt.Win32Tasks.dll \
		-r:./bootstrap/NAnt.Core.dll -r:./bootstrap/NAnt.DotNetTasks.dll -r:System.ServiceProcess.dll \
		-recurse:src${DIRSEP}NAnt.Win32${DIRSEP}*.cs src${DIRSEP}CommonAssemblyInfo.cs

=== debian/changelog ===
nant (0.92~rc1+dfsg-3) unstable; urgency=low

  * [93b6f15] Add debian/patches/
    use_mono_mcs_common_compiler_infrastructure.patch 
    (Cherry picked from 69c8ee96493c5d953212397c8ca06c2392372ca4)
    (Closes: #713760, #713768)

 -- Jo Shields <directhex@apebox.org>  Fri, 11 Oct 2013 15:06:40 +0200

nant (0.92~rc1+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Jo Shields <directhex@apebox.org>  Sun, 27 May 2012 16:59:31 +0100

nant (0.92~rc1+dfsg-1) experimental; urgency=low

  * [73a7503] Standards-Version → 3.9.3, no changes
  * [4073149] Remove useless DMUA flag
  * [4af100d] refresh patches
  * [f16bb89] remove-netDumbster.patch
  * [6bdd529] s/destdir/DESTDIR/
  * [3d0a2ee] add lowercase-docdir.patch: use usr/share/doc/nant as docdir
  * [2f79f36] wrap-and-sort debian/
  * [488bab1] bump nunit b-d to >= 2.6
  * [f391286] add get-orig-source
  * [1c6cddf] use --with cli instead of cli.make

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 26 May 2012 21:48:22 +0100

nant (0.91~alpha2+dfsg-4) unstable; urgency=low

  * Upload to unstable 
  * [fec82c9] Fix spacing in debian/control

 -- Iain Lane <laney@debian.org>  Tue, 17 Jan 2012 22:18:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,19 @@
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: mono-devel (>= 2.10.1),
- pkg-config,
- cli-common-dev (>= 0.5.7),
- libnunit-cil-dev (>= 2.5),
- liblog4net-cil-dev
-Standards-Version: 3.9.2
+Build-Depends-Indep: cli-common-dev (>= 0.5.7),
+                     liblog4net-cil-dev,
+                     libnunit-cil-dev (>= 2.6),
+                     mono-devel (>= 2.10.1),
+                     pkg-config
+Standards-Version: 3.9.3
 Homepage: http://nant.sourceforge.net/
-Vcs-Git:git://anonscm.debian.org/pkg-cli-apps/packages/nant.git
+Vcs-Git: git://anonscm.debian.org/pkg-cli-apps/packages/nant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/nant.git;a=summary
-DM-Upload-Allowed: yes
 
 Package: nant
 Architecture: all
-Depends: ${cli:Depends}, ${misc:Depends},
- pkg-config,
- mono-devel (>= 2.0.1)
+Depends: mono-devel (>= 2.0.1), pkg-config, ${cli:Depends}, ${misc:Depends}
 Description: build tool similar to Ant
  NAnt is different than Make.  Instead of a model where it is extended with
  shell-based commands, NAnt is extended using task classes.  Instead of

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

MAKE_FLAGS = MONO=/usr/bin/cli MCS=/usr/bin/mono-csc

override_dh_auto_build:
	$(MAKE) $(MAKE_FLAGS)

override_dh_auto_install:
	$(MAKE) $(MAKE_FLAGS) prefix=/usr DESTDIR=$(CURDIR)/debian/nant install
	rmdir --ignore-fail-on-non-empty --parents debian/nant

%:
	dh $@ --with cli

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-\+]+)+(\+dfsg)*.*,\1,p')

get-orig-source:
	uscan --force-download --destdir=. --download-version=$(DEB_UPSTREAM_VERSION)
	tar xfz nant-$(DEB_UPSTREAM_VERSION)-src.tar.gz
	find nant-$(DEB_UPSTREAM_VERSION)/ -name "*.dll" -delete
	find nant-$(DEB_UPSTREAM_VERSION)/ -name "*.exe" -delete
	tar cfz nant_$(DEB_UPSTREAM_VERSION)~rc1+dfsg.orig.tar.gz nant-$(DEB_UPSTREAM_VERSION)/
	rm -rf nant-$(DEB_UPSTREAM_VERSION)/
